| Home | Libraries | People | FAQ | More

###### field::operator= (3 of 30 overloads)

Replaces `*this` with a `NULL`, changing the kind to `null` and destroying any previous contents.

###### Synopsis

    field&
    operator=(
        std::nullptr_t) noexcept;

###### Exception safety

No-throw guarantee.

###### Object lifetimes

Invalidates references obtained by as_xxx and get_xxx functions, but not the ones obtained by `field::operator field_view()`.